Summary:        PEAR: Horde Xml Element object

Name:           php-pear-Horde-Xml-Element
Version:        2.0.2
Release:        1.lux.1
License:        BSD-2-Clause
Group:          Development/Libraries/PHP
Source0:        http://pear.horde.org/get/Horde_Xml_Element-%{version}.tgz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Url:            http://pear.horde.org/package/Horde_Xml_Element
BuildRequires:	php-pear >= 1.7.0
BuildRequires:  php-pear-channel-horde
Requires:       php-pear-channel-horde
Requires:	php >= 5.3.0
Requires:	php-pear >= 1.7.0
Requires:	php-pear-Horde-Exception >= 2.0.0
Requires:	php-pear-Horde-Exception <= 3.0.0alpha1
Conflicts:	php-pear-Horde-Exception = 3.0.0alpha1
BuildArch:      noarch
%define pear_name  Horde_Xml_Element
%define pear_sname horde_xml_element
# Fix for renaming (package convention)
Provides:       php-pear-%{pear_sname} = %{version}
Provides:       php-pear-%{pear_sname} = %{version}
Provides:       pear-%{pear_sname} = %{version}
Obsoletes:      php-pear-%{pear_sname} < %{version}
Obsoletes:      php-pear-%{pear_sname} < %{version}
Obsoletes:      pear-%{pear_sname} < %{version}

%description
This package provides an element object that can be used to provide
SimpleXML-like functionality over a DOM object. The main advantage over
using SimpleXML is the ability to add multiple levels of new elements in a
single call, without introducing "ghost" objects.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{pear_phpdir} \
        -d doc_dir=%{_docdir} \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{pear_phpdir}/data \
        -d test_dir=%{pear_phpdir}/test \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
[ -d %{buildroot}/%{_docdir}/%{pear_name} ] && mv %{buildroot}/%{_docdir}/%{pear_name} %{buildroot}/%{_docdir}/%{name}-%{version}

# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{pear_phpdir}/.filemap
rm %{buildroot}/%{pear_phpdir}/.lock
rm -rf %{buildroot}/%{pear_phpdir}/.registry
rm -rf %{buildroot}%{pear_phpdir}/.channels
rm %{buildroot}%{pear_phpdir}/.depdb
rm %{buildroot}%{pear_phpdir}/.depdblock

# Install XML package description
mkdir -p %{buildroot}%{pear_xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{pear_xmldir}/Horde_Xml_Element.xml

%clean
rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{pear_xmldir}/Horde_Xml_Element.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.horde.org/Horde_Xml_Element
fi

%files
%defattr(-,root,root)
%doc %{_docdir}/%{name}-%{version}
%{pear_phpdir}/test/%{pear_name}
%{pear_phpdir}/Horde/*
%{pear_xmldir}/Horde_Xml_Element.xml

%changelog
